Loading...
Searching...
No Matches
put_row.c File Reference

Write segment row routines. More...

`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "local_proto.h"`
Include dependency graph for put_row.c:

Go to the source code of this file.

## Functions

int | Segment_put_row (const SEGMENT *SEG, const void *buf, off_t row)
| Write row to segment file.

## Detailed Description

Write segment row routines.

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  2005-2018

Definition in file put_row.c.

## Function Documentation

## Segment_put_row()

int Segment_put_row | ( | const SEGMENT * | SEG,
|  | const void * | buf,
|  | off_t | row )

Write row to segment file.

Transfers non-segmented matrix data, row by row, into a segment file. seg is the segment structure that was configured from a call to Segment_init(). buf should contain ncols*len bytes of data to be transferred to the segment file. row specifies the row from the data matrix being transferred.

Parameters

  [in,out] | SEG | segment
  [in] | buf | data to write to segment
  [in] | row |

Returns
  1 if successful
  -1 if unable to seek or write segment file

Definition at line 43 of file put_row.c.

References err(), and G_warning().